﻿#include "DrawBackColor.h"
#include "BinaryReader.h"

namespace edge2 {

DrawBackColor::DrawBackColor(void)
	: index(0)
	, rgb(0, 0, 0) {
}


DrawBackColor::~DrawBackColor(void) {
}

// チャンクデータの読み込むために呼ばれます。
void DrawBackColor::ReadChunk(BinaryReader& reader, uint16_t chunk_id, uint32_t length) {
	switch (chunk_id) {
	case kChunkID_Index:
		index = reader.ReadUInt8();
		break;
	case kChunkID_RGB:
		rgb = reader.ReadRgb();
		break;
	case kChunkID_Alpha:
		// 未対応
		break;
	case kChunkID_Param:
		// ローダーは未対応
		break;
	case kChunkID_ColorSpace:
		// ローダーは未対応
		break;
	}
}

}