﻿#pragma once

#include "ChunkSerializer.h"
#include "Rgb.h"

namespace edge2 {

// 描画色/背景色で利用する型です。
class DrawBackColor : public IChunkSerializable {
public:
	// チャンクID（固定値）
	enum ChunkIDs {
		kChunkID_Index = 1000,
		kChunkID_RGB,
		kChunkID_Alpha,
		kChunkID_Param,
		kChunkID_ColorSpace,
	};

// 変数（公開）
public:
	// インデックス値(8bit以下)
	uint8_t index;
	// RGB値(15bit以上)
	Rgb rgb;

// 構築・消滅
public:
	DrawBackColor(void);
	~DrawBackColor(void);

// IChunkSerializable
public:
	// チャンクデータの読み込むために呼ばれます。
	void ReadChunk(BinaryReader& reader, uint16_t chunk_id, uint32_t length);
};

}