﻿#include "Frame.h"

namespace edge2 {

Frame::Frame(void)
	: delay_(500) // 60FPSで5フレーム
	, transparent_(true)
	, disposal_method_(kDisposalMethod_RestoreToBackgroundColor)
{
}

Frame::~Frame(void) {
}

// ディレイ値を各単位に変換して取得します。
int Frame::delay(DelayUnits unit) {
	switch (unit) {
	case kDelayUnit_60FPS:
		return delay_ / 100;
	case  kDelayUnit_100FPS:
		return delay_ / 60;
	case  kDelayUnit_1000FPS:
		return delay_ / 6;
	case  kDelayUnit_10FPS:
		return delay_ / 600;
	case  kDelayUnit_15FPS:
		return delay_ / 400;
	case  kDelayUnit_20FPS:
		return delay_ / 300;
	case  kDelayUnit_24FPS:
		return delay_ / 250;
	case  kDelayUnit_30FPS:
		return delay_ / 200;
	}
	return 0;
}

}