﻿#pragma once

#include <cstdint>
#include "ChunkSerializer.h"

namespace edge2 {

// フレーム座標系クラスです。2つの異なるサイズのフレームが(0,0)に配置されている場合、左上が一致するか中央が一致するか。
class FrameCoordinateSystem : public IChunkSerializable
{
public:
	enum Modes : uint8_t {
		kTopLeft = 0,
		kCenter,
	};

	enum ChunkIDs {
		kChunkID_Mode = 1000,
	};

// 構築・消滅
public:
	FrameCoordinateSystem(void);
	~FrameCoordinateSystem(void);

// IChunkSerializable
public:
	// チャンクデータの読み込むために呼ばれます。
	void ReadChunk(BinaryReader& reader, uint16_t chunk_id, uint32_t length);

// 変数
private:
	// モード
	Modes mode_;
};

}