﻿#pragma once

#include <cstdint>
#include "Uncopyable.h"

namespace edge2 {

// PageやPalette, Layerの1要素となる基本クラスです。選択、グルーピング、id取得インターフェースを提供します。
class Item : public Uncopyable {
public:
	Item()
		: grouped_(false)
		, group_expansion_(false)
		, selected_(false)
	{}
	virtual ~Item() {}

// アクセサ
public:
	// グループ化されているかを取得します。
	bool grouped() { return grouped_; }
	// グループ化されているかを設定します。
	void set_grouped(bool grouped) { grouped_ = grouped; }
	// グループを展開表示するかどうかを取得します。
	bool group_expansion() { return group_expansion_; }
	// グループを展開表示するかどうかを設定します。
	void set_group_expansion(bool group_expansion) { group_expansion_ = group_expansion; }
	// 選択状態を取得します。
	bool selected() { return selected_; }
	// 選択状態を設定します。
	void set_selected(bool selected) { selected_ = selected; }

// Item
public:
	// この要素の識別子を取得します。
	virtual int32_t item_id() = 0;

private:
	// 「子」になっているか？
	bool grouped_;
	// グループを展開表示しているか？
	bool group_expansion_;
	// 選択されているか？
	bool selected_;
};

}