﻿#pragma once

#include <cstdint>

namespace edge2 {

// Itemへのリンク情報です。idだけでも良いのですが、配列インデックスのキャッシュも扱っています。
class ItemLink {

// 構築・消滅
public:
	ItemLink(void);
	~ItemLink(void);

// アクセサ
public:
	// リンク先のIDを取得します。
	int32_t item_id() { return item_id_; }
	// リンク先のIDを設定します。
	void set_item_id(int32_t id) { item_id_ = id; }
	// リンク先の配列のインデックスキャッシュ値を取得します。
	int index_cache() { return index_cache_; }
	// リンク先の配列のインデックスキャッシュ値を設定します。
	void set_index_cache(int index) { index_cache_ = index; }

// 変数
private:
	// リンク先のID
	int32_t item_id_;
	// リンク先の配列のインデックスキャッシュ
	int index_cache_;
};

}