﻿#pragma once

#include <cstdint>

namespace edge2 {

// RGB型です。Windowsの24ビット画像フォーマットに合わせてBGRの順になっています。sizeof(Rgb)が3である必要があります。
class Rgb {
// メンバ(公開)
public:
	uint8_t b, g, r;

// 構築・消滅
public:
	Rgb(void) {}
	Rgb(uint8_t r_, uint8_t g_, uint8_t b_) : r(r_), g(g_), b(b_) { }

// 演算子
public:
	bool operator==(const Rgb& other) {
		return b == other.b && g == other.g && r == other.r;
	}
	bool operator!=(const Rgb& other) {
		return b != other.b || g != other.g || r != other.r;
	}
};

}

